slepc-3.21.1 2024-04-26
Report Typos and Errors

# PEPGetInterval

Gets the computational interval for spectrum slicing.

### Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPGetInterval(PEP pep,PetscReal* inta,PetscReal* intb)

Not Collective

### Input Parameter

| pep | - eigensolver context

### Output Parameters

| inta | - left end of the interval
| intb | - right end of the interval

### Note

If the interval was not set by the user, then zeros are returned.

### See Also

PEPSetInterval()

### Level

intermediate

### Location

src/pep/interface/pepbasic.c

### Examples

src/pep/tutorials/ex38.c
src/pep/tutorials/ex40.c
Index of all PEP routines
Table of Contents for all manual pages
Index of all manual pages